Kaga88 - task #1437

Support Reporting Integration
11/25/2020 06:15 PM - Kristine A

Status: In Progress Start date: 11/25/2020
Priority: Normal Due date:

Assignee: Eztephen Bacuno % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Create a servlet that will be used by the PHP admin for the game reports.

History

#1 - 11/25/2020 07:23 PM - Eztephen Bacuno

- Status changed from New to In Progress

Example Api Calls :

Game List : https://nl93.gnstg.net/KAGServer/gamelList
RequestBody : {

"playerld": 20203,

"currency": "USD",

"randomld": 1056988858,

"partnerName": "RDX",

"accessKey": "B104CEFB53BC80726372BD941D0C315C",
"fromDate": "2014-06-20 15:56:18",

"toDate": "2020-06-21 15:56:18"
Player Report : https://nl93.gnstg.net/KAGServer/playerReport
RequestBody : {

"currency": "USD",

"randomld": 1056988858,

"partnerName": "RDX",

"accessKey": "B104CEFB53BC80726372BD941D0C315C",
"from": "2014-06-20 15:56:18",

"to": "2020-06-21 15:56:18"

}

Summary Report : https://nl93.gnstg.net/KAGServer/summaryReport
RequestBody : {

"partnerName": "RDX",

"accessKey": "B104CEFB53BC80726372BD941D0C315C",
"fromDate": "2014-06-20 15:56:18",

"toDate": "2020-06-21 15:56:18",

"tzOffset": 8

}

Game Play Report : https:/nl93.gnstg.net/KAGServer/gamePlayReport
RequestBody : {

"partnerName": "RDX",

"accessKey": "B104CEFB53BC80726372BD941D0C315C",
"fromDate": "2014-06-14 15:56:18",

"toDate": "2020-06-21 15:56:18",

"tzOffset": 8,

"currency": "USD",

"offset":6,

"numOfRecords":10,

"operatorName":"12345678"

}

Player Game Play Report : https:/nl93.gnstg.net/KAGServer/playerGamePlayReport
RequestBody : {

"playerld":232032,

"partnerName": "RDX",

"accessKey": "B104CEFB53BC80726372BD941D0C315C",
"fromDate": "2014-06-14 15:56:18",
"toDate": "2020-06-21 15:56:18",
"tzOffset": 8,

"currency": "USD",

"offset":6,

"numOfRecords":10,
"operatorName":"12345678"

}

#2 - 11/26/2020 06:44 PM - Eztephen Bacuno

Please see the updated example of API calls :

Game List : https://nl93.gnstg.net/KAGServer/gameList
RequestBody : {

"language": "en",

"licenseld": 1234567890

}

Player Report : https://nl93.gnstg.net/KAGServer/playerReport
RequestBody : {

"fromDate": "2014-06-20 15:56:18",

"toDate": "2020-06-21 15:56:18",

"licenseld" : 1234567890,

"tzOffset" : 3

}

Summary Report : https://nl93.gnstg.net/KAGServer/summaryReport
RequestBody : {

"licenseld": 1234567890,

"fromDate": "2014-06-20 15:56:18",

"toDate": "2020-06-21 15:56:18",

"tzOffset": 8

}

Game Play Report : https://nl93.gnstg.net/KAGServer/gamePlayReport
RequestBody : {

"licenseld": 1234567890,

"fromDate": "2014-06-14 15:56:18",

"toDate": "2020-06-21 15:56:18",

"tzOffset": 8,

"offset":6,

"numOfRecords":10

}

Player Game Play Report : https:/nl93.gnstg.net/KAGServer/playerGamePlayReport
RequestBody : {

"playerld":232032,

"licenseld": 1234567890,

"fromDate": "2014-06-14 15:56:18",

"toDate": "2020-06-21 15:56:18",

"tzOffset": 8,

"offset":6,

"numOfRecords":10

}
